Index: /debian/postinst
===================================================================
--- /debian/postinst	(revision 492)
+++ /debian/postinst	(revision 511)
@@ -71,8 +71,8 @@
 
     # forget the password
-    db_reset alternc/mysql/password
-    db_fset alternc/mysql/password "seen" "false"
-    db_reset alternc/mysql/root_password
-    db_fset alternc/mysql/root_password "seen" "false"
+    db_reset alternc/mysql/password || true
+    db_fset alternc/mysql/password "seen" "false" || true
+    db_reset alternc/mysql/root_password || true
+    db_fset alternc/mysql/root_password "seen" "false" || true
 
     if [ -e /etc/alternc/local.sh ]; then
